# timing.h File Reference

## Detailed Description

Copyright (C) 2006-2009, Paul Bakker <polarssl_maintainer at polarssl.org> All rights reserved.

Joined copyright on original XySSL code with: Christophe Devine

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Definition in file timing.h.

Go to the source code of this file.

## Data Structures
struct | hr_time
| timer structure More...
## Functions
unsigned long | get_timer (struct hr_time *val, int reset)
| Return the elapsed time in milliseconds.
unsigned long | hardclock (void)
| Return the CPU cycle counter value.
void | m_sleep (int milliseconds)
| Sleep for a certain amount of time.
void | set_alarm (int seconds)
| Setup an alarm clock.
## Variables
volatile int | alarmed

## Function Documentation

unsigned long get_timer | ( | struct hr_time * | val,
|  | int | reset |
| ) |  |  |

Return the elapsed time in milliseconds.

Parameters:

  | val | points to a timer structure
  | reset | if set to 1, the timer is restarted

unsigned long hardclock | ( | void |  | ) |

Return the CPU cycle counter value.

void m_sleep | ( | int | milliseconds | ) |

Sleep for a certain amount of time.

Parameters:

  | Delay | in milliseconds

void set_alarm | ( | int | seconds | ) |

Setup an alarm clock.

Parameters:

  | seconds | delay before the "alarmed" flag is set

## Variable Documentation

volatile int alarmed